﻿<table width="100%">
    <tr>
        <td style="display:inline-block; margin-left:-3px;">
            @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "btnPrint";
                    settings.Text = "Print Barcode";
                    settings.UseSubmitBehavior = true;
                    settings.ClientSideEvents.Click = "PrintSelectedGrid";
                }
            ).GetHtml()
        </td>
        <td style="text-align:right;">
            <div style="display:inline-block; margin-left:3px; float:Right;">
            @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "btnAdd";
                    settings.Text = "Add";
                    settings.UseSubmitBehavior = true;
                    settings.ClientSideEvents.Click = "buttonaddneweventargs";
                }
              ).GetHtml()
            </div>
            <div style="display:inline-block; margin-left:3px; float:Right">
            @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "btnEdit";
                    settings.Text = "Edit";
                    settings.UseSubmitBehavior = true;
                    settings.ClientSideEvents.Click = "Edit";
                }
              ).GetHtml()
            </div>
            <div style="display:inline-block; margin-left:3px; float:Right">
            @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "btnDelete";
                    settings.Text = "Delete";
                    settings.UseSubmitBehavior = true;
                    settings.ClientSideEvents.Click = "EraseThedataEventhandler";
                }
              ).GetHtml()
            </div>

            <div style="display:inline-block;float:Right">
            <!-- Here we import again for the function lib for the purpose on uncheck for the gridlookup grid -->
            @{ var gridSetting = ((Toyota.Common.Web.Html.Helper.DevExpress.CommonGridLookupSettings)(TempData["Grid" + TempData["GridName"]]));
               TempData["Grid" + TempData["GridName"]] = gridSetting;
               TempData["GridName"] = gridSetting.Name;
               }
               <!-- Then we continue for the eventhandler that user must exec -->
            @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "btnClearAll";
                    settings.Text = "Clear All";
                    settings.Width = 75;
                    settings.UseSubmitBehavior = true;
                    settings.ClientSideEvents.Click = "function(s, e){ Grid" + gridSetting.Name + ".UnselectRows(); PartialDockData.UnselectAllRowsOnPage(); alert('System Has Finish CLears'); grlDock.SetFocus();}";
                }
              ).GetHtml()
            </div>
        </td>
    </tr> <!-- Finish Here All Code need to write for all button above the grid -->
</table>



